GET /api/v1/projects

Authentication

Bearer Token API Key (cookie: better-auth.session_token)

Responses

200 Project list
application/json
projects object[] REQUIRED
Array of:
id string REQUIRED
user_id string REQUIRED
name string REQUIRED
url string REQUIRED
viewport string REQUIRED
refresh_schedule string REQUIRED
webhook_secret string | null REQUIRED
signing_secret string
Returned only on project creation. Store it server-side and rotate if exposed.
created_at string REQUIRED
updated_at string REQUIRED
demo_count number REQUIRED
401 Unauthorized
curl -X GET 'https://littledemo.com/api/v1/projects' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://littledemo.com/api/v1/projects', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://littledemo.com/api/v1/projects', headers=headers)print(response.json())
200 Response
{  "projects": [    {      "id": "<string>",      "user_id": "<string>",      "name": "<string>",      "url": "<string>",      "viewport": "<string>",      "refresh_schedule": "<string>",      "webhook_secret": "<string>",      "signing_secret": "<string>",      "created_at": "<string>",      "updated_at": "<string>",      "demo_count": 123    }  ]}
Ask a question... ⌘I